Skip to main content
GET
/
execution
/
orders
Get user orders
curl --request GET \
  --url https://api.agg.market/execution/orders \
  --header 'Authorization: Bearer <token>' \
  --header 'x-app-id: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "venue": "kalshi",
      "status": "<string>",
      "side": "<string>",
      "amountRaw": "<string>",
      "slippageBps": 123,
      "quotedPriceRaw": "<string>",
      "quotedCostRaw": "<string>",
      "filledAmountRaw": "<string>",
      "executionPrice": "<string>",
      "txHash": "<string>",
      "errorMessage": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "venueMarket": {
        "id": "<string>",
        "question": "<string>",
        "image": "<string>"
      },
      "venueMarketOutcome": {
        "label": "<string>",
        "title": "<string>"
      }
    }
  ],
  "nextCursor": "<string>",
  "hasMore": true
}

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Authorization
string
header
required

JWT access token returned by POST /auth/verify. Required for user-tier routes.

Query Parameters

status
string
cursor
string
limit
integer
Required range: 1 <= x <= 100

Response

200

data
object[]
required
nextCursor
string | null
required
hasMore
boolean
required